
QGIS Application - Feature request #3438

Transparency for vector symbol layers

2011-01-25 02:20 AM - marisn -

Status: Closed

Priority: Low

Assignee:

Category: Symbology

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 13498

Description

At this moment is possible to set transparency to whole vector symbol but it's not possible to create symbol with semitransparent parts. It

should be possible to set transparency to every vector symbol layer. Such feature would allow i.e. to display polygons with solid borders

and semitransparent solid fill.

Related issues:

Related to QGIS Application - Feature request # 1898: Group Transparency/Opac... Open

History

#1 - 2011-12-16 01:49 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-15 10:10 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#3 - 2012-10-06 02:32 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#4 - 2015-06-20 07:12 AM - Andreas Neumann

- Pull Request or Patch supplied set to No

- Assignee deleted (nobody -)

Actually I think it is already possible to do what you want - on a feature you can have opaque and transparent fills, separate for each symbol level.

However, this is on each feature, not on a group of features (e.g. all features in a symbol level).

Depending on what "marisn" wants, we can close this ticket, as it is already possible (and had been for a long time) to mix transparent on opaque fills.

See also this feature request #1898 which is quite related

#5 - 2015-09-21 02:28 AM - marisn -

- Status changed from Open to Closed

Andreas Neumann wrote:

Actually I think it is already possible to do what you want - on a feature you can have opaque and transparent fills, separate for each symbol level.

However, this is on each feature, not on a group of features (e.g. all features in a symbol level).

Depending on what "marisn" wants, we can close this ticket, as it is already possible (and had been for a long time) to mix transparent on opaque

fills.
See also this feature request #1898 which is quite related

It has become partially possible thanks to the new colour selection window (Yes! QGIS is making a nice progress!). If I read #1898, then it covers the main

remaining use case - providing a transparency slider for the symbol layer (or group of layers). Although quite possible, that #1898 is also covered by "draw

effects" dialog where a transparency slider is implemented (can not test as draw effects are not working at all on my QGIS version).
